vector.h File Reference

Defines a 1D vector of elements held in the registers of each thread. More...

`#include <cuda_fp16.h>`
`#include <cutlass/util/platform.h>`

Go to the source code of this file.

## Classes

struct | cutlass::AlignedStruct< kAlignment_ >
union | cutlass::Vector< Scalar_, kLanes_ >
union | cutlass::Vector< half, kLanes_ >
struct | cutlass::Vectorize< Element_, kLanes_ >
struct | cutlass::Vectorize< Element_, 1 >
struct | cutlass::Extent< T >
| Returns the extent of a scalar or vector. More...
struct | cutlass::Extent< Vector< T, Lanes > >
| Returns the number of lanes of a vector if need be. More...
struct | cutlass::Extent< Vector< T, Lanes > const >
| Returns the number of lanes of a vector if need be. More...
struct | cutlass::VectorTraits< T >
| Traits describing properties of vectors and scalar-as-vectors. More...
struct | cutlass::VectorTraits< Vector< T, Lanes > >
| Partial specialization for actual cutlass::Vector. More...
struct | cutlass::VectorTraits< Vector< T, Lanes > const >
| Partial specialization for actual cutlass::Vector. More...

## Namespaces

| cutlass

## Functions

template<>
struct | cutlass::__align__ (1) AlignedStruct< 1 >
template<>
struct | cutlass::__align__ (2) AlignedStruct< 2 >
template<>
struct | cutlass::__align__ (4) AlignedStruct< 4 >
template<>
struct | cutlass::__align__ (8) AlignedStruct< 8 >
template<>
struct | cutlass::__align__ (16) AlignedStruct< 16 >
template<>
struct | cutlass::__align__ (32) AlignedStruct< 32 >
template<>
struct | cutlass::__align__ (64) AlignedStruct< 64 >
template<typename Scalar_ >
CUTLASS_DEVICE void | cutlass::make_zero (Scalar_ &x)
template<typename Scalar_ , int kLanes_>
CUTLASS_DEVICE void | cutlass::make_zero (Vector< Scalar_, kLanes_ > &vec)